% Run STD (standardization of descriptors)
% 
% D ... M-by-N matrix with M descriptors of dimensionality N
%
%
%   =====================================================================
%   Copyright (C) 2022  Stefan Schubert, stefan.schubert@etit.tu-chemnitz.de
%   
%   This program is free software: you can redistribute it and/or modify
%   it under the terms of the GNU General Public License as published by
%   the Free Software Foundation, either version 3 of the License, or
%   (at your option) any later version.
%   
%   This program is distributed in the hope that it will be useful,
%   but WITHOUT ANY WARRANTY; without even the implied warranty of
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%   GNU General Public License for more details.
%   
%   You should have received a copy of the GNU General Public License
%   along with this program.  If not, see <http://www.gnu.org/licenses/>.
%   =====================================================================
% 
function D = STD(D)
  %% standardize descriptors
  D = (D - mean(D, 1)) ./ std(D, 1);
  
  %% normalize descriptors
  D = normr(D);
end


